@import "./../../../../variables.scss";
// @import url('./assets/fonts/OdibeeSans-Regular.ttf');
@font-face {
    font-family: 'odibeesans';
    src: url('./OdibeeSans-Regular.ttf');
}

.minesweeper-wrapper {

    min-width: 100%;
    min-height: 100%;
    border-top: 2px solid #f1edee;
    border-right: 2px solid #717171;
    border-bottom: 2px solid #717171;
    border-left: 2px solid #f1edee;
    padding: 6px;

    &__status-wrapper {
        width: 100%;
        border-top: 2px solid #717171;
        border-right: 2px solid #f1edee;
        border-bottom: 2px solid #f1edee;
        border-left: 2px solid #717171;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        padding: 4px;
        padding-left: 6px;
        padding-right: 6x;
        margin-bottom: 6px;

        button {
            width: 25px;
            height: 25px;
            background-color: $window-background-color;
            border-top: 2px solid #f1edee;
            border-right: 2px solid #717171;
            border-bottom: 2px solid #717171;
            border-left: 2px solid #f1edee;
            outline: none;
        }

        button:active {
            border-top: 2px solid #717171;
            border-right: 2px solid #f1edee;
            border-bottom: 2px solid #f1edee;
            border-left: 2px solid #717171;
        }

        &__numeral {
            padding: 1px;
            border-top: 1px solid #717171;
            border-right: 1px solid #f1edee;
            border-bottom: 1px solid #f1edee;
            border-left: 1px solid #717171;
            p {
                background-color: #000;
                color: #ff0000;
                font-family: 'odibeesans';
                font-size: 19px;
            }
        }
    }

    &__game-wrapper {
        border-top: 2px solid #717171;
        border-right: 2px solid #f1edee;
        border-bottom: 2px solid #f1edee;
        border-left: 2px solid #717171;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        &__horizontal {
            display: flex;
            flex-direction: row;

            // > .card {
            //     width: 20px;
            //     height: 20px;
            //     display: flex;
            //     justify-content: center;
            //     align-items: center;
            //     > p {
            //         font-size: 14px;
            //         font-weight: 600;
            //     }

            //     > .blue {
            //         color: #0000ff;
            //     }

            //     > .red {
            //         color: #ff0000;
            //     }

            //     > .green {
            //         color: #009900;
            //     }
            // }

            // > .card-closed {
            //     border-top: 2px solid #f1edee;
            //     border-right: 2px solid #717171;
            //     border-bottom: 2px solid #717171;
            //     border-left: 2px solid #f1edee;
            // }

            // > .card-open {
            //     border: 1px dotted #717171;
            // }
        }
    }
}